repmgr (5.5.0+debpgdg-3.pgdg26.04+1) resolute-pgdg; urgency=medium

  * Rebuild for resolute-pgdg.
  * Changes applied:
    + Add libedit-dev dependency

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 10 Oct 2025 09:24:57 +0200

repmgr (5.5.0+debpgdg-3) unstable; urgency=medium

  * Build-Depend on postgresql-all. (Closes: #1117700)

 -- Christoph Berg <myon@debian.org>  Fri, 10 Oct 2025 09:24:57 +0200

repmgr (5.5.0+debpgdg-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117338)
  * B-D on libnuma-dev since pgxs' LIBS includes it now.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 00:01:31 +0200

repmgr (5.5.0+debpgdg-1) unstable; urgency=medium

  * New upstream version 5.5.0+debpgdg

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 02 Jan 2025 12:22:41 +0100

repmgr (5.5.0-2) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Dec 2024 11:42:38 +0100

repmgr (5.5.0-1) unstable; urgency=medium

  * New upstream version 5.5.0.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Fri, 06 Dec 2024 15:05:28 +0100

repmgr (5.4.1-1) unstable; urgency=medium

  * Update watch file to use GitHub releases.
  * New upstream version 5.4.1.
  * Add depends to libcurl4-openssl-dev and libjson-c-dev.
  * Remove usused upstream signature key.
  * Update debian/copyright.

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 27 Dec 2023 16:39:39 +0000

repmgr (5.3.3-4) unstable; urgency=medium

  * Team upload.
  * Rename old ${postgresql:Depends} to ${repmgr:Depends}, the former is now
    used by pg_buildext.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Sep 2023 14:49:07 +0200

repmgr (5.3.3-3) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use dh --with-pgxs.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:38:07 +0200

repmgr (5.3.3-2) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Thu, 03 Nov 2022 12:04:34 +0100

repmgr (5.3.3-1) unstable; urgency=medium

  * New upstream version 5.3.3.
  * Upload for PostgreSQL 15.
  * DH 13.
  * B-D on liblz4-dev and libzstd-dev.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 17:03:07 +0200

repmgr (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.2.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Aug 2022 14:04:54 +0200

repmgr (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 16 Feb 2022 08:20:18 +0000

repmgr (5.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.0.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Nov 2021 10:56:51 +0100

repmgr (5.2.1-3) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Nov 2021 12:34:59 +0100

repmgr (5.2.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 12:01:45 +0200

repmgr (5.2.1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Drop obsolete #dbg# code.

  [ Marco Nenciarini ]
  * Fix debian/watch by removing unneeded filenamemangle rule
  * New upstream version 5.2.1

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 23 Aug 2021 16:33:21 +0000

repmgr (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * repmgr.deb: Generate list of modules to depend on from list of supported
    versions.
  * B-D on libedit-dev again as older server packages are still using it.

 -- Christoph Berg <myon@debian.org>  Fri, 20 Nov 2020 22:06:40 +0100

repmgr (5.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Marco Nenciarini ]
  * New upstream version 5.2.0
  * PostgreSQL 13 support
  * Follow postgresql-13 build dependencies changes
  * Set debhelper compatibility level to 10

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 09 Nov 2020 11:11:40 +0000

repmgr (5.0.0-4) unstable; urgency=medium

  * Source-only team upload.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 20:28:26 +0100

repmgr (5.0.0-3) unstable; urgency=medium

  * Team upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 11:19:44 +0100

repmgr (5.0.0-2) unstable; urgency=medium

  * Source-only upload

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 21 Oct 2019 09:57:52 +0200

repmgr (5.0.0-1) unstable; urgency=medium

  [ Christoph Berg ]
  * debian/tests: Drop "build-needed", do the minimal steps needed to
    initialize PGXS manually.

  [ Marco Nenciarini ]
  * New upstream version 5.0.0
  * Add flex build depend
  * Add postgresql-12-repmgr alternative to repmgr

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 15 Oct 2019 12:05:22 +0200

repmgr (4.4-1) unstable; urgency=medium

  * New upstream version 4.4

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 01 Jul 2019 11:50:50 +0200

repmgr (4.3-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Add debian/gitlab-ci.yml.

  [ Marco Nenciarini ]
  * New upstream version 4.3

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 01 Jul 2019 11:38:20 +0200

repmgr (4.2.0-2) unstable; urgency=medium

  * Add postgresql-11-repmgr as alternative in the dependencies
    (Closes: #911994)

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 28 Oct 2018 10:13:59 +0100

repmgr (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * debian/rules: Stop creating .h files from .h.in to fix VPATH builds.
    (fixed upstram)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 25 Oct 2018 00:47:17 +0200

repmgr (4.0.6-2) unstable; urgency=medium

  * Team upload for PostgreSQL 11.
  * debian/rules: Create .h files from .h.in to fix VPATH builds.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Oct 2018 15:18:14 +0200

repmgr (4.0.6-1) unstable; urgency=medium

  * New upstream version 4.0.6

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 03 Jul 2018 17:00:40 +0200

repmgr (4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 01 May 2018 16:02:01 +0100

repmgr (4.0.4-1) unstable; urgency=medium

  * New upstream version 4.0.4
  * debian/control{.in,}, debian/watch: Changed repmgr.org URLs to use
    https protocol.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 08 Mar 2018 14:38:01 +0100

repmgr (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 15 Feb 2018 09:50:39 +0100

repmgr (4.0.2-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org

  [ Marco Nenciarini ]
  * New upstream version 4.0.2

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 17 Jan 2018 11:11:14 +0100

repmgr (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 11 Dec 2017 14:39:29 +0000

repmgr (4.0.0-2) unstable; urgency=medium

  [ Marco Nenciarini ]
  * Support dbg packages on older distributions

  [ Christoph Berg ]
  * Restrict libselinux1-dev Build-Dependency to linux-any.

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 27 Nov 2017 23:50:41 +0100

repmgr (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Changed priority to optional as per policy 4.0.1

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 21 Nov 2017 11:23:09 +0100

repmgr (4.0~beta1-1) experimental; urgency=medium

  * New upstream major version 4.0~beta1
  * Bump standard version to 4.1.1 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 10 Oct 2017 13:02:29 +0200

repmgr (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
  * Removed all patches, they have been merged upstream

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 05 Jun 2017 11:14:53 +0200

repmgr (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 21 Mar 2017 13:51:36 +0100

repmgr (3.3-2) unstable; urgency=medium

  * Add workaround for FTBFS on apt.postgresql.org

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 05 Jan 2017 11:24:04 +0100

repmgr (3.3-1) unstable; urgency=medium

  * New upstream version 3.3

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 27 Dec 2016 14:00:50 +0100

repmgr (3.2.1-2) unstable; urgency=medium

  * Depends on postgresql-9.6.
    Thanks to Emilio Pozuelo Monfort <pochu@debian.org> (Closes: 843039)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 03 Nov 2016 12:35:10 +0100

repmgr (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 27 Oct 2016 16:34:48 +0200

repmgr (3.2-1) unstable; urgency=medium

  * New upstream version 3.2
  * Declare the repmgr-common dependency from lsb-base

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 05 Oct 2016 14:15:53 +0200

repmgr (3.1.5-2) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 29 Sep 2016 11:49:38 +0200

repmgr (3.1.5-1) unstable; urgency=medium

  [ Christoph Berg ]
  * debian/repmgr-common.repmgrd.default: Fix spelling of REPMGRD_BIN and
    REPMGRD_PIDFILE settings. Spotted by Nikhil Sontakke.

  [ Marco Nenciarini ]
  * Imported Upstream version 3.1.5

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 16 Aug 2016 14:38:07 +0200

repmgr (3.1.4-1) unstable; urgency=medium

  * Imported Upstream version 3.1.4
  * Refreshed regress.patch

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 12 Jul 2016 16:08:15 +0200

repmgr (3.1.3-1) unstable; urgency=medium

  * Imported Upstream version 3.1.3
  * Bump standard version to 3.9.8.0 (no-chenges)

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 18 May 2016 15:55:11 +0200

repmgr (3.1.2-1) unstable; urgency=medium

  * Imported Upstream version 3.1.2
  * Refresh patches

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 13 Apr 2016 12:20:48 +0200

repmgr (3.1.1-1) unstable; urgency=medium

  * Imported Upstream version 3.1.1
  * Use HTTPS protocol in Vcs-Browser URI inside debian/control file

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 23 Feb 2016 19:11:25 +0100

repmgr (3.0.3-2) unstable; urgency=medium

  * Update debian/changelog to refer the postgresql-9.5 transition RC bug.

 -- Marco Nenciarini <mnencia@debian.org>  Sat, 23 Jan 2016 10:08:27 +0100

repmgr (3.0.3-1) unstable; urgency=medium

  * Update for postgresql-9.5 transition (Closes: #811139)
  * Fix build on PostgreSQL older than the current libpq
  * Imported Upstream version 3.0.3

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 22 Jan 2016 14:50:10 +0100

repmgr (3.0.2-2) unstable; urgency=medium

  * Fix stop action in init script. It was broken by the switch to
    pg_wrapper usage.

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 16 Oct 2015 18:02:17 +0200

repmgr (3.0.2-1) unstable; urgency=medium

  * Imported Upstream version 3.0.2

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 13 Oct 2015 18:08:45 +0200

repmgr (3.0.1-5) unstable; urgency=medium

  * Add missing pg_wrapper links for repmgr and repmgrd (Closes: #784984)

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 15 May 2015 13:31:53 +0200

repmgr (3.0.1-4) unstable; urgency=medium

  * Add repmgr-dbg transitional dummy package, to smooth the upgrade.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 30 Apr 2015 12:23:37 +0200

repmgr (3.0.1-3) unstable; urgency=medium

  * Fix empty -dbg packages when supporting multiple PostgreSQL versions

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 29 Apr 2015 13:46:35 +0200

repmgr (3.0.1-2) unstable; urgency=medium

  * Move init scripts under repmgr-common package
  * Mark repmgr as metapackage

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 28 Apr 2015 18:37:36 +0200

repmgr (3.0.1-1) unstable; urgency=medium

  * Imported Upstream version 3.0.1
  * Move the repository under pkg-postgresql project
  * debian/watch: enable cryptographic signature verification
  * Filter debian/* directory during gbp import-orig
  * Set debhelper compatibility level to 9
  * Bump Standards-Version to 3.9.6, no changes required
  * Move repmgr under pg_wrapper.
  * Remove manpages. They are badly outdated.
  * Updated debian/copyright

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 24 Apr 2015 17:34:57 +0200

repmgr (2.0-3) unstable; urgency=medium

  [ Christoph Berg ]
  * debian/rules: Remove $(LIBS) from repmgr(d), it isn't needed and would
    needlessly require a build-dependency on selinux now that PostgreSQL 9.4
    build-depends on it.

  [ Marco Nenciarini ]
  * Use "9.0+" in debian/pgversions and B-D on pg-server-dev-all 148.

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 27 Jul 2014 11:53:22 +0200

repmgr (2.0-2) unstable; urgency=medium

  * Split out REPMGRD_CONF from REPMGRD_OPTS variable in default file.
    Change the init script to check if REPMGRD_CONF is set. The
    REPMGRD_OPTS is now optional.
  * Change the init script to use repmgrd native ability to daemonize and
    write a pidfile

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 25 Mar 2014 20:02:42 +0100

repmgr (2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0
  * Add --background option to repmgrd init script start action and fix
    status action.  Thanks to József Kószó
  * Use "-f" instead of "--config_file" in REPMGRD_OPTS variable of
    repmgrd default file
  * Remove "set -e" from the repmgrd init script

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 21 Mar 2014 23:09:21 +0100

repmgr (2.0~rc2-1) unstable; urgency=medium

  * Update watch file to correctly mangle uppercase RC versions
  * Imported Upstream version 2.0~rc2
  * Update debian patches
  * Add autofailover_quick_setup.rst to installed documents
  * Install repmgr.sql and uninstall_repmgr.sql as examples
  * Add repmgrd init script

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 04 Mar 2014 16:41:10 +0100

repmgr (2.0~beta2-3) unstable; urgency=low

  [ Christoph Berg ]
  * Add basic regression tests and run them with autopkgtest

  [ Marco Nenciarini ]
  * Update debian-makefile patch to build repmgr_funcs.so against the right
    PostgreSQL version
  * Add format-attribute-check patch

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 31 Dec 2013 20:27:06 +0100

repmgr (2.0~beta2-2) unstable; urgency=low

  * Fix missing reference to bug #724216 in 2.0~beta2-1 changelog

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 27 Dec 2013 09:15:46 +0100

repmgr (2.0~beta2-1) unstable; urgency=low

  * Fix version mangling in debian/watch
  * Add Vcs-* fields in control file
  * Support PostgreSQL 9.3 version
  * Imported Upstream version 2.0~beta2 (Closes: #724216)
  * Removed lintian-spelling patch, fixed upstream.
  * Remove useless dh_auto_install call in override_dh_auto_install target
    from debian/rules
  * Bump standard version to 3.9.5.0 (no-chenges)
  * Canonicalize VCS-* field URI in debian/control

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 26 Dec 2013 19:45:38 +0100

repmgr (2.0~beta1-2) unstable; urgency=low

  * Add debugging symbols package repmgr-dbg

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 13 Nov 2012 11:40:12 +0100

repmgr (2.0~beta1-1) unstable; urgency=low

  * Initial release (Closes: #609719)

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 07 Nov 2012 13:00:27 +0100
